質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

88.37%

Unityで作成したFirebase接続アプリをandroid向けにビルドするとエラーが発生する

受付中

回答 0

投稿

  • 評価
  • クリップ 0
  • VIEW 1,696

nagi2011

score 15

【質問内容】
UnityからFirebaseへの接続を実施しようとしています。
Unity上で動作させる分には、問題なくFirebaseへ接続できるのですが、
androidでビルドしようとすると、以下のような【エラー内容】が発生して、ビルドに失敗してしまいます。

「Assets\Plugins\Android」配下の以下ファイル内において、
com.android.support.support-core-utils-26.1.0.aar
android.arch.lifecycle.runtime-1.0.0.aar
com.android.support.support-compat-26.1.0.aar
com.android.support.support-core-ui-26.1.0.aar
com.android.support.support-fragment-26.1.0.aar
com.android.support.support-media-compat-26.1.0.aar
com.android.support.support-v4-26.1.0.aar
com.google.android.gms.play-services-ads-identifier-16.0.0.aar
com.google.android.gms.play-services-base-16.0.1.aar
com.google.android.gms.play-services-basement-16.1.0.aar
com.google.android.gms.play-services-flags-16.0.1.aar
com.google.android.gms.play-services-measurement-api-16.0.4.aar
com.google.android.gms.play-services-measurement-base-16.0.5.aar
com.google.android.gms.play-services-stats-16.0.1.aar
com.google.android.gms.play-services-tasks-16.0.1.aar
com.google.firebase.firebase-analytics-16.0.6.aar
com.google.firebase.firebase-analytics-impl-16.2.4.aar
com.google.firebase.firebase-app-unity-5.4.4.aar
com.google.firebase.firebase-auth-16.1.0.aar
com.google.firebase.firebase-auth-interop-16.0.1.aar
com.google.firebase.firebase-auth-unity-5.4.4.aar
com.google.firebase.firebase-common-16.0.4.aar
com.google.firebase.firebase-core-16.0.6.aar
com.google.firebase.firebase-database-16.0.5.aar
com.google.firebase.firebase-database-collection-16.0.1.aar
com.google.firebase.firebase-database-unity-5.4.4.aar
com.google.firebase.firebase-iid-17.0.3.aar
com.google.firebase.firebase-iid-interop-16.0.1.aar
com.google.firebase.firebase-measurement-connector-17.0.1.aar
com.google.firebase.firebase-measurement-connector-impl-17.0.4.aar
com.google.firebase.firebase-storage-16.0.5.aar
com.google.firebase.firebase-storage-unity-5.4.4.aar
mainTemplate.gradle.meta
android.arch.core.common-1.0.0.jar
android.arch.lifecycle.common-1.0.0.jar
com.android.support.support-annotations-26.1.0.jar

「com.android.support.support~」と、
「com.google.firebase.firebase~」とが競合しているため、
ビルドに失敗していることまでは分かったのですが、
これをどのようにすればビルドエラーを回避すれば良いのかが分かりません。

同じフォルダに「mainTemplate.gradle.meta」ファイルを配置して、
それを修正すれば、gradleのデフォルトの設定を変更できると思うのですが、
具体的に、どのようにすれば良いのでしょうか。

また、gradleの設定変更等ではなく、このエラーを回避する方法があればご教示お願いします。

【環境】
Unity:2018.3.0f2

【設定】
Scripting Runtime Version:.NET 4.x Equivalent
Api Commpatibility Level:.NET Standard 2.0
Build System:Gradle

【エラー内容】
CommandInvokationFailure: Gradle build failed. 
D:\unity\Unity2018_3_0f2\Editor\Data\PlaybackEngines\AndroidPlayer/Tools\OpenJDK\Windows\bin\java.exe -classpath "D:\unity\Unity2018_3_0f2\Editor\Data\PlaybackEngines\AndroidPlayer\Tools\gradle\lib\gradle-launcher-4.6.jar" org.gradle.launcher.GradleMain "-Dorg.gradle.jvmargs=-Xmx4096m" "assembleRelease"

stderr[
D8: Program type already present: android.support.annotation.AnyRes

FAILURE: Build failed with an exception.

  • What went wrong:
    Execution failed for task ':transformDexArchiveWithExternalLibsDexMergerForRelease'.

com.android.builder.dexing.DexArchiveMergerException: Error while merging dex archives:
※長いので省略
Learn how to resolve the issue at https://developer.android.com/studio/build/dependencies#duplicate_classes.
Program type already present: android.support.annotation.AnyRes

  • Try:
    Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output. Run with --scan to get full insights.

  • Get more help at https://help.gradle.org

BUILD FAILED in 18s
]
stdout[
WARNING: Configuration 'compile' is obsolete and has been replaced with 'implementation' and 'api'.
It will be removed at the end of 2018. For more information see: http://d.android.com/r/tools/update-dependency-configurations.html
:checkReleaseClasspath
Download https://dl.google.com/dl/android/maven2/com/google/firebase/firebase-common/16.0.3/firebase-common-16.0.3.pom
Download https://dl.google.com/dl/android/maven2/com/google/firebase/firebase-analytics-impl/maven-metadata.xml
Download https://dl.google.com/dl/android/maven2/com/google/firebase/firebase-analytics/maven-metadata.xml
Download https://dl.google.com/dl/android/maven2/com/google/firebase/firebase-measurement-connector/17.0.1/firebase-measurement-connector-17.0.1.pom
Download https://dl.google.com/dl/android/maven2/com/google/firebase/firebase-iid/17.0.4/firebase-iid-17.0.4.pom
Download https://dl.google.com/dl/android/maven2/com/google/firebase/firebase-iid-interop/16.0.1/firebase-iid-interop-16.0.1.pom
Download https://dl.google.com/dl/android/maven2/com/google/firebase/firebase-common/16.0.3/firebase-common-16.0.3.aar
Download https://dl.google.com/dl/android/maven2/com/google/firebase/firebase-iid/17.0.4/firebase-iid-17.0.4.aar
:preBuild UP-TO-DATE
:Firebase:preBuild UP-TO-DATE
:Firebase:preReleaseBuild UP-TO-DATE
:Firebase:checkReleaseManifest
:Firebase:processReleaseManifest
:preReleaseBuild
:Firebase:compileReleaseAidl NO-SOURCE
:compileReleaseAidl NO-SOURCE
:Firebase:packageReleaseRenderscript NO-SOURCE
:compileReleaseRenderscript UP-TO-DATE
:checkReleaseManifest UP-TO-DATE
:generateReleaseBuildConfig UP-TO-DATE
:prepareLintJar UP-TO-DATE
:mainApkListPersistenceRelease UP-TO-DATE
:generateReleaseResValues UP-TO-DATE
:generateReleaseResources UP-TO-DATE
:Firebase:compileReleaseRenderscript
:Firebase:generateReleaseResValues
:Firebase:generateReleaseResources
:Firebase:packageReleaseResources
:mergeReleaseResources UP-TO-DATE
:createReleaseCompatibleScreenManifests UP-TO-DATE
:processReleaseManifest
D:\FireFoxDL\inhousecoin2_0201B\inhousecoin2\Temp\gradleOut\src\main\AndroidManifest.xml:24:9-31:50 Warning:
activity#com.google.firebase.auth.internal.FederatedSignInActivity@android:launchMode was tagged at AndroidManifest.xml:24 to replace other declarations but no other declaration present
:splitsDiscoveryTaskRelease UP-TO-DATE
:Firebase:generateReleaseRFile
:processReleaseResources
:generateReleaseSources
:Firebase:generateReleaseBuildConfig
:Firebase:prepareLintJar UP-TO-DATE
:Firebase:generateReleaseSources
:Firebase:javaPreCompileRelease
:Firebase:compileReleaseJavaWithJavac
:Firebase:processReleaseJavaRes NO-SOURCE
:Firebase:transformClassesAndResourcesWithPrepareIntermediateJarsForRelease
:javaPreCompileRelease
:compileReleaseJavaWithJavac
:compileReleaseNdk NO-SOURCE
:compileReleaseSources
:lintVitalRelease
:mergeReleaseShaders UP-TO-DATE
:compileReleaseShaders UP-TO-DATE
:generateReleaseAssets UP-TO-D<message truncated>

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

まだ回答がついていません

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 88.37%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る